%define upstream_name    Perl-Critic-Tics
%define upstream_version 0.010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    (this => is => not => good)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Perl::Critic::Policy)
BuildRequires: perl(Perl::Critic::TestUtils)
BuildRequires: perl(Perl::Critic::Utils)
BuildRequires: perl(Perl::Critic::Violation)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The Perl-Critic-Tics distribution includes extra policies for Perl::Critic
to address a fairly random assortment of things that make me (rjbs) wince.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jan 02 2023 tv <tv> 0.10.0-1.mga9
+ Revision: 1929022
- update to 0.010

* Sun Mar 20 2022 umeabot <umeabot> 0.9.0-8.mga9
+ Revision: 1805073
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.9.0-7.mga8
+ Revision: 1496503
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.9.0-6.mga7
+ Revision: 1270506
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.9.0-5.mga6
+ Revision: 1031972
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.9.0-4.mga6
+ Revision: 945126
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-3.mga5
+ Revision: 739022
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 sander85 <sander85> 0.9.0-1.mga5
+ Revision: 657856
- update to 0.009

* Sat Feb 08 2014 sander85 <sander85> 0.8.0-1.mga5
+ Revision: 586702
- update to 0.008

* Sat Oct 19 2013 umeabot <umeabot> 0.7.0-2.mga4
+ Revision: 529206
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 sander85 <sander85> 0.7.0-1.mga4
+ Revision: 450959
- update to 0.007

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 371679
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.6.0-1.mga1
+ Revision: 37195
- mageia rebuild
- imported package perl-Perl-Critic-Tics

